package com.energy.manage.common.exception;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ErrorSignException extends RuntimeException {

  private Logger logger = LoggerFactory.getLogger(ErrorSignException.class);

  public ErrorSignException(String phone) {
    logger.info(String.format("用户：%s,签名验证失败访问系统被拦截", phone));
  }

  public ErrorSignException() {
    logger.info(String.format("未获取jwt信息,签名验证失败访问系统被拦截"));
  }
}
